Activity log for bug #1820868

Date Who What changed Old value New value Message
2019-03-19 14:39:33 Paolo Pisati bug added bug
2019-03-19 14:39:43 Paolo Pisati nominated for series Ubuntu Bionic
2019-03-19 14:39:43 Paolo Pisati bug task added linux-snapdragon (Ubuntu Bionic)
2019-03-19 14:40:00 Paolo Pisati summary bionic: fork out linux-snapdragon in a topic kernel bionic: fork out linux-snapdragon into its own topic kernel
2019-03-19 14:47:59 Paolo Pisati description Impact: During the Bionic cycle, a decision was made to incorporate the linux-snapdragon kernel into the master branch, thus reducing the number of topic kernels and the stable maintenance burden. But as time passed and new patches were produced by Qualcomm, incorporating them into master while avoiding to destabilize generic became more and more problematic, down to the point where it was not a viable approach anymore. At that point, the decision was made to fork out linux-snapdragon into its own topic kernel (e.g. linux-raspi2), giving more room to incorporate new code coming from the Qualcomm tree and avoiding to destabilize any other target in generic. Fix: This is a three step process: 1) disable building linux-snapdragon from master by applying the attached patch to bionic/master 2) create a new bionic/linux-snapdragon branch and reset hard to my lp:snapdragon-topic-kernel branch (see below) 3) update bionic-meta to point to the new bionic/linux-snapdragon kernel Regression potential From the point of view of bionic/master, this pull request doesn't introduce any substantial change, and in the future will let us purge generic from several external patches. While from the point of view of linux-snapdragon, with ~900 code commits and ~8k config changes, this represent a brand new kernel and while great care was used while putting together this branch, there's clearly a regression potential here but we can't leave linux-snapdragon stagnate behind the curve, so the sooner we bite the bullet, the better we can the deal with the eventual fallout. Impact: During the Bionic cycle, a decision was made to incorporate the linux-snapdragon kernel into the master branch, thus reducing the number of topic kernels and the stable maintenance burden. But as time passed and new patches were produced by Qualcomm, incorporating them into master while avoiding to destabilize generic became more and more problematic, down to the point where it was not a viable approach anymore. At that point, the decision was made to fork out linux-snapdragon into its own topic kernel (e.g. linux-raspi2), giving more room to incorporate new code coming from the Qualcomm tree and avoiding to destabilize any other target in generic. Fix: This is a three step process: 1) disable building linux-snapdragon from master by applying the attached patch to bionic/master 2) create a new bionic/linux-snapdragon branch and reset hard to my lp:snapdragon-topic-kernel branch (see below) 3) update bionic-meta to point to the new bionic/linux-snapdragon kernel Regression potential From the point of view of bionic/master, this pull request doesn't introduce any substantial change, and in the future will let us purge generic from several external patches. While from the point of view of linux-snapdragon, with ~600 code commits and ~4k config changes, this represent a brand new kernel and while great care was used while putting together this branch, there's clearly a regression potential here but we can't leave linux-snapdragon stagnate behind the curve, so the sooner we bite the bullet, the better we can the deal with the eventual fallout.
2019-04-01 09:37:58 Kleber Sacilotto de Souza linux-snapdragon (Ubuntu Bionic): status New In Progress
2019-04-02 21:22:29 Seth Forshee bug task added linux (Ubuntu)
2019-04-02 21:22:46 Seth Forshee bug task added linux-meta (Ubuntu)
2019-04-02 21:22:58 Seth Forshee linux (Ubuntu): status New Fix Committed
2019-04-02 21:23:01 Seth Forshee linux-meta (Ubuntu): status New Fix Committed
2019-04-02 21:23:04 Seth Forshee linux-snapdragon (Ubuntu): status New Fix Committed
2019-04-13 07:57:01 Launchpad Janitor linux-meta (Ubuntu): status Fix Committed Fix Released
2019-04-13 07:57:02 Launchpad Janitor linux (Ubuntu): status Fix Committed Fix Released
2019-04-13 07:57:02 Launchpad Janitor cve linked 2019-9857
2019-04-15 17:37:30 Thadeu Lima de Souza Cascardo bug task added linux-hwe-edge (Ubuntu)
2019-04-15 17:37:39 Thadeu Lima de Souza Cascardo linux-hwe-edge (Ubuntu Bionic): status New Fix Committed
2019-04-18 09:54:38 Kleber Sacilotto de Souza linux-snapdragon (Ubuntu Bionic): status In Progress Fix Committed
2019-04-24 06:34:40 Khaled El Mously linux-meta (Ubuntu Bionic): status New Fix Committed
2019-04-24 06:34:47 Khaled El Mously linux (Ubuntu Bionic): status New Fix Committed
2019-04-29 16:03:45 Ubuntu Kernel Bot tags verification-needed-bionic
2019-05-06 12:43:30 Kleber Sacilotto de Souza tags verification-needed-bionic verification-done-bionic
2019-05-14 19:00:55 Launchpad Janitor linux-meta (Ubuntu Bionic): status Fix Committed Fix Released
2019-05-14 19:00:51 Launchpad Janitor linux (Ubuntu Bionic): status Fix Committed Fix Released
2019-05-14 19:00:51 Launchpad Janitor cve linked 2017-5715
2019-05-14 19:00:51 Launchpad Janitor cve linked 2017-5753
2019-05-14 19:00:51 Launchpad Janitor cve linked 2017-5754
2019-05-14 19:00:51 Launchpad Janitor cve linked 2018-12126
2019-05-14 19:00:51 Launchpad Janitor cve linked 2018-12127
2019-05-14 19:00:51 Launchpad Janitor cve linked 2018-12130
2019-05-14 19:00:51 Launchpad Janitor cve linked 2018-16884
2019-05-14 19:00:51 Launchpad Janitor cve linked 2018-3620
2019-05-14 19:00:51 Launchpad Janitor cve linked 2018-3639
2019-05-14 19:00:51 Launchpad Janitor cve linked 2018-3646
2019-05-14 19:00:51 Launchpad Janitor cve linked 2019-3874
2019-05-14 19:00:51 Launchpad Janitor cve linked 2019-3882
2019-05-14 19:00:51 Launchpad Janitor cve linked 2019-9500
2019-05-14 19:00:51 Launchpad Janitor cve linked 2019-9503
2019-05-14 19:04:02 Launchpad Janitor linux-snapdragon (Ubuntu Bionic): status Fix Committed Fix Released
2019-05-25 17:03:30 Mathew Hodson bug task deleted linux-hwe-edge (Ubuntu)